org.eclipse.microprofile.reactive.messaging.tck.channel.overflow

## Class BeanUsingBufferOverflowWithoutBufferSizeStrategy

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.overflow.BeanUsingBufferOverflowWithoutBufferSizeStrategy

    @ApplicationScoped
    public class BeanUsingBufferOverflowWithoutBufferSizeStrategy
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BeanUsingBufferOverflowWithoutBufferSizeStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `accepted()`
`org.reactivestreams.Subscriber<String>` `consume()`
`Throwable` `failure()`
`List<String>` `rejected()`
`void` `tryEmitThousand()`
`void` `tryEmitThree()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanUsingBufferOverflowWithoutBufferSizeStrategy

    public BeanUsingBufferOverflowWithoutBufferSizeStrategy()

### Method Detail

#### failure

    public Throwable failure()

#### accepted

    public List<String> accepted()

#### rejected

    public List<String> rejected()

#### tryEmitThree

    public void tryEmitThree()

#### tryEmitThousand

    public void tryEmitThousand()

#### consume

    public org.reactivestreams.Subscriber<String> consume()